package main

MessageLevel :: enum {
	Warning,
	Error,
	Fatal,
}

Message :: struct {
	level: MessageLevel,
	message: string,
	range: TextRange,
}

g_message_list : [dynamic]Message

message_create :: proc(level: MessageLevel, message: string, range: TextRange) -> Message {
	return Message {
		level = level,
		message = message,
		range = range,
	}
}

